<% if @papers.empty? %>
  <p>You have not submitted any papers yet.</p>
<% else %>
  <h1>My Papers</h1>
  <table class="table table-hover mt-3">
    <thead>
      <tr class="table-primary ">
        <th scope="col" style="min-width: 20%">Title</th>
        <th scope="col" style="min-width: 10%">Authors</th>
        <th scope="col" style="min-width: 40%">Abstract</th>
        <th scope="col">Pdf link</th>
        <th scope="col">Decision</th>
        <%# <th scope="col">User</th> %>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <% @papers.each do |paper| %>
        <tr>
          <td scope="row"><%= link_to paper.title, paper %></td>
          <td>
            <ol>
              <% paper.users.each do |author| %>
                <li><%= author.first_name %></li>
              <% end %>
            </ol>
          </td>
          <td><%= paper.abstract %></td>
          <td><%= paper.pdf_link %></td>
          <% if paper.decision.blank? %>
            <td>
              <em class="text-danger">Pending</em>
            </td>
          <% else %>
            <td>
              <em class="text-info"><%= paper.decision %></em>
            </td>
          <% end %>
          <td>
            <%= link_to "Edit", edit_paper_path(paper), class: "btn btn-outline-primary btn-sm"%><br>
            <%= link_to "Delete", paper_path(paper), method: :delete, data: { confirm: 'Are you sure?'}, class: "btn btn-outline-danger btn-sm mt-2" %>
          </td>
        </tr>
      <% end %>
    </tbody>
  </table>
  <br>
<% end %>
<%= link_to "Submit New Paper", new_paper_path, class: "btn btn-success btn-lg mt-3" %>
